Bug 115867 - Windows 10 icon theme follow MSO guidelines
Summary: Windows 10 icon theme follow MSO guidelines
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Icon-Themes 116714
  Show dependency treegraph
 
Reported: 2018-02-19 21:31 UTC by andreas_k
Modified: 2018-03-30 19:50 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Colibre icon theme (44.16 KB, image/jpeg)
2018-02-19 21:34 UTC, andreas_k
Details
Colibre m icon theme (21.76 KB, image/jpeg)
2018-02-25 12:44 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-02-19 21:31:31 UTC
Breeze icons fit's prefect for the KDE desktop, Tango and sifr for the gnome desktop and elementary icons for the elementary desktop, but the Tango icons didn't fit well on Windows.

I suggest to add a new icon theme that fit's better the windows (10) desktop therefore I recommend to use the MS guideline for icon themes   [1].

I don't recommend to copy the MS Office icons, but follow the color scheme from MS would help a lot to have a good looking and well recognizable LibreOffice for Windows. It will fit by design well into Windows (10) and as the colors and the guidelines are the same it will help users how also use MS Office 2013 and newer.

To get not into license problem I wouldn't copy any icon. As we have well prepared monochrome and colored icon themes the icon "syntax" will come from them and the colors from the MSO guide.

[1] https://docs.microsoft.com/en-us/office/dev/add-ins/design/design-icons#icon-guidelines
Comment 1 andreas_k 2018-02-19 21:34:01 UTC
Created attachment 140007 [details]
Colibre icon theme

Icon theme Colibre can be available in different color schemes. One will be the attached one with the colors from the MS icon guideline.
Comment 2 andreas_k 2018-02-19 22:48:05 UTC
As all icon themes everything will be available as svg file too. My main goal is to have different color schemes for the Colibre icon theme (like Colibres have 1.000 colors) I'm thinking of:
 - MSO color scheme
 - high contrast
 - something that look more fancy than MSO (for the younger generation)
 - 1.000 colors available as extension via the extension webpage

the MSO one and maybe a second one I'd like to have available in core.
Comment 3 Heiko Tietze 2018-02-20 09:19:19 UTC
I would recommend to ship only _one_ icon theme (galaxy is the fallback and hard-coded on many places) and to provide all other via extension.
Comment 4 andreas_k 2018-02-20 09:24:44 UTC
good point could be an option I don't know how it will work for distributions or to prepair installation files but could be an option. I thought have the work in core (or a separate repository) will guarantie better quality AND bring designers (contributors) closer to LibreOffice.

But in general it's not topic of this bug report.
Comment 5 andreas_k 2018-02-25 12:44:55 UTC
Created attachment 140129 [details]
Colibre m icon theme
Comment 6 andreas_k 2018-03-09 08:04:13 UTC
patch is available for a review

https://gerrit.libreoffice.org/#/c/50952/

you are welcome to give a +1
Comment 7 Commit Notification 2018-03-09 11:01:42 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=966b94cd0596a30c774ad3cf143e76e85ff7c6fc

tdf#115867: Add colibre icon theme which follow MSO color scheme

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2018-03-09 12:12:55 UTC
You are a hero, Andreas
Comment 9 Heiko Tietze 2018-03-22 18:53:31 UTC
The Colibre icon theme is very welcome and the work is highly appreciated. But late features are not accepted, so this icon theme will be available with the first alpha version of 6.1 around April 2018. Making it the default on Windows was accepted in the ESC likewise the replacement of Galaxy with a complete new set.